Inaccessible XML-RPC Connection error

XML-RPC is how the WordPress app communicates with your site, so your site’s XML-RPC endpoint must be accessible.

XML-RPC is enabled by default in new versions of WordPress. If your site uses WordPress 4.0 or lower, you will need to update your WordPress installation to use the App.

If you have a fully updated WordPress install, you can use our XML-RPC troubleshooter, found here: http://xmlrpc.eritreo.it/

How to fix XML-RPC connection errors


If the XML-RPC troubleshooter finds an error on your site, please check with your hosting provider to find out if they are blocking access to this file and if it’s possible to change this.

These errors can also happen if there is a plugin/theme that conflicts with XML-RPC. To check whether a plugin is causing the conflict with the app, try deactivating all the plugins on your self-hosted site to see whether that fixes the issue.

There are some known types of plugins that can cause XML-RPC errors. Security plugins that may block access to this file, Splash Pages plugins, like Coming Soon pages, or age restriction pages, Captcha, Cache plugins are the most common types.